document.addEventListener('DOMContentLoaded', function() {
  const reviewsContainer = document.getElementById('reviews-container');
  const reviewForm = document.getElementById('review-form');

  function loadReviews() {
    const reviews = JSON.parse(localStorage.getItem('reviews')) || [];
    reviewsContainer.innerHTML = reviews.length ? reviews.map(review => `
      <article>
        <h3>${review.name}</h3>
        <p>${review.comment}</p>
      </article>
    `).join('') : '<p>No reviews yet. Be the first to leave one!</p>';
  }

  reviewForm.addEventListener('submit', function(e) {
    e.preventDefault();
    const name = document.getElementById('name').value;
    const comment = document.getElementById('comment').value;
    const reviews = JSON.parse(localStorage.getItem('reviews')) || [];
    reviews.push({ name, comment });
    localStorage.setItem('reviews', JSON.stringify(reviews));
    loadReviews();
    reviewForm.reset();
  });

  loadReviews();
});